# {{ ansible_managed }}
server {
    listen       80 backlog=1024;
    listen	 443 ssl backlog=1024;
    server_name  ftp.caliu.cat ;

    location ^~ /.well-known/acme-challenge/ {
        root /var/www/murdock;
    }

    # reverse proxy to Apache
    location / {
        proxy_set_header  X-Real-IP  $remote_addr;
        proxy_set_header  Host $host;
        proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
        proxy_set_header  X-Forwarded-Port $server_port;
        proxy_set_header  X-Forwarded-Proto $scheme ;
	proxy_max_temp_file_size	0;
	proxy_http_version 1.0;

        proxy_pass        http://{{ hostvars['nelson.caliu.cat']['ansible_facts']['default_ipv4']['address'] }}:80;
        proxy_redirect    http://{{ hostvars['nelson.caliu.cat']['ansible_facts']['default_ipv4']['address'] }}:80 https://ftp.caliu.cat:443 ;
    }

    ssl_certificate     /etc/ssl/certs/caliu.cat.chained.crt ;
    ssl_certificate_key /etc/ssl/private/caliu.cat.key ;
    include ssl.conf ;

}

